ZipArchive::getArchiveComment
ZipArchive::getCommentName
Zip Functions
PHP Manual

# ZipArchive::getCommentIndex

(No version information available, might be only in CVS)

ZipArchive::getCommentIndex — Returns the comment of an entry using the entry index

### Description

string ZipArchive::getCommentIndex ( int `$index` [, int `$flags` ] )

Returns the comment of an entry using the entry index.

### Parameters

`index`

  Index of the entry

`flags`

  If flags is set to `ZIPARCHIVE::FL_UNCHANGED`, the original unchanged comment is returned.

### Return Values

Returns the comment on success or `FALSE` on failure.

### Examples

Example #1 Dump an entry comment

`<?php
$zip = new ZipArchive;
$res = $zip->open('test1.zip')
if ($res === TRUE) {
var_dump($zip->getCommentIndex(1));
} else {
echo 'failed, code:' . $res;
}
?>`

ZipArchive::getArchiveComment
ZipArchive::getCommentName
Zip Functions
PHP Manual